%global gitdate 20230219
%global cmakever 23.03.70
%global commit0 fe0ade2fe00abadcdccbec5aed6b00643a200cc3
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global base_name ktextaddons
Name:           kf5-ktextaddons
Version:        %{cmakever}^%{gitdate}.%{shortcommit0}
Release:        1%{?dist}
Summary:        Various text handling addons
License:        BSD-3-Clause GPL-2.0-or-later LGPL-2.0-or-later
URL:            https://invent.kde.org/libraries/ktextaddons
Source0:        %{base_name}-%{shortcommit0}.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  g++

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Keychain)
BuildRequires:  cmake(Qt5UiPlugin)

BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5XmlGui)

%description

%package devel
Summary:  Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.
%summary.

%prep
%autosetup -n %{base_name}-%{shortcommit0}

%build
%cmake
%cmake_build

%install
%cmake_install
%find_lang libtextautocorrection
%find_lang libtextedittexttospeech
%find_lang libtextgrammarcheck
%find_lang libtexttranslator

%files -f libtextautocorrection.lang -f libtextedittexttospeech.lang -f libtextgrammarcheck.lang -f libtexttranslator.lang
%license LICENSES/*
%{_kf5_libdir}/libKF5TextAutoCorrection.so.*
%{_kf5_libdir}/libKF5TextGrammarCheck.so.*
%{_kf5_libdir}/libKF5TextTranslator.so.*
%{_kf5_libdir}/qt5/mkspecs/modules/qt_TextAutoCorrection.pri
%{_kf5_libdir}/qt5/mkspecs/modules/qt_TextGrammarCheck.pri
%{_kf5_libdir}/qt5/mkspecs/modules/qt_TextTranslator.pri
%{_kf5_libdir}/qt5/plugins/designer/texttranslatorwidgets5.so
%{_kf5_libdir}/qt5/plugins/kf5/translator/translator_bing.so
%{_kf5_libdir}/qt5/plugins/kf5/translator/translator_deepl.so
%{_kf5_libdir}/qt5/plugins/kf5/translator/translator_google.so
%{_kf5_libdir}/qt5/plugins/kf5/translator/translator_libretranslate.so
%{_kf5_libdir}/qt5/plugins/kf5/translator/translator_lingva.so
%{_kf5_libdir}/qt5/plugins/kf5/translator/translator_yandex.so

%files devel
%{_kf5_includedir}/TextAutoCorrection
%{_kf5_includedir}/TextGrammarCheck
%{_kf5_includedir}/TextTranslator
%{_kf5_libdir}/cmake/KF5TextAutoCorrection
%{_kf5_libdir}/cmake/KF5TextGrammarCheck
%{_kf5_libdir}/cmake/KF5TextTranslator
%{_kf5_libdir}/libKF5TextAutoCorrection.so
%{_kf5_libdir}/libKF5TextGrammarCheck.so
%{_kf5_libdir}/libKF5TextTranslator.so

%changelog
* Fri Feb 03 2023 Justin Zobel <justin@1707.io> - 23.03.70
- Initial Version
